### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
CPICashFlow Class Reference

Cash flow paying the performance of a CPI (zero inflation) index. More...

`#include <ql/cashflows/cpicoupon.hpp>`

Inheritance diagram for CPICashFlow:
[legend]

List of all members.

## Public Member Functions

| CPICashFlow (Real notional, const boost::shared_ptr< ZeroInflationIndex > &index, const Date &baseDate, Real baseFixing, const Date &fixingDate, const Date &paymentDate, bool growthOnly=false, CPI::InterpolationType interpolation=CPI::AsIndex, const Frequency &frequency=QuantLib::NoFrequency)
virtual Real | baseFixing () const
| value used on base date
virtual Date | baseDate () const
| you may not have a valid date
virtual CPI::InterpolationType | interpolation () const
| do you want linear/constant/as-index interpolation of future data?
virtual Frequency | frequency () const
virtual Real | amount () const
| redefined to use baseFixing() and interpolation

## Protected Attributes

Real | baseFixing_
CPI::InterpolationType | interpolation_
Frequency | frequency_

## Detailed Description

Cash flow paying the performance of a CPI (zero inflation) index.

It is NOT a coupon, i.e. no accruals.

## Member Function Documentation

virtual Real baseFixing | ( |  | ) | const`[virtual]`

value used on base date

This does not have to agree with index on that date.